libglfw3-3.3-24.1.x86_64.rpm


Advertisement

Description

libglfw3 - Framework for OpenGL application development

Property Value
Distribution openSUSE Tumbleweed
Repository Games all
Package filename libglfw3-3.3-24.1.x86_64.rpm
Package name libglfw3
Package version 3.3
Package release 24.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.glfw.org/
License Zlib
Maintainer -
Download size 90.93 KB
Installed size 309.06 KB
GLFW is a framework for OpenGL application development. It is a
single library providing a powerful, portable API for otherwise
operating system specific tasks such as opening an OpenGL window, and
reading keyboard, time, mouse and joystick input.

Alternatives

Package Version Architecture Repository
libglfw3-3.3-24.1.i586.rpm 3.3 i586 Games
libglfw3-3.2.1-2.1.x86_64.rpm 3.2.1 x86_64 openSUSE Oss
libglfw3-3.2.1-2.1.i586.rpm 3.2.1 i586 openSUSE Oss
libglfw3 - - -

Requires

Name Value
/sbin/ldconfig -
libX11.so.6()(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.27)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -

Provides

Name Value
libglfw.so.3()(64bit) -
libglfw3 = 3.3-24.1
libglfw3(x86-64) = 3.3-24.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libglfw3-3.3-24.1.x86_64.rpm
Source Package glfw-3.3-24.1.src.rpm

Install Howto

  1. Add the Games repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/games/openSUSE_Tumbleweed/ games
  2. Install libglfw3 rpm package:
    # zypper install libglfw3

Files

Path
/usr/lib64/libglfw.so.3
/usr/lib64/libglfw.so.3.3
/usr/share/doc/packages/libglfw3/README.md
/usr/share/licenses/libglfw3/LICENSE.md

Changelog

2019-04-16 - Luigi Baldoni <aloisio@gmx.com>
- Update to version 3.3
* Changes too numerous to list, see
https://www.glfw.org/docs/latest/news.html#news_33
2019-02-01 - Bernhard Wiedemann <bwiedemann@suse.com>
- Sort list of input files to geany for reproducible builds
(boo#1049382, boo#1041090)
2017-02-12 - mpluskal@suse.com
- Update to version 3.2.1:
* Added on-demand loading of Vulkan and context creation API
libraries
* Added _GLFW_VULKAN_STATIC build macro to make the library use
the Vulkan loader linked statically into the application (#820)
* Bugfix: Single compilation unit builds failed due to naming
conflicts (#783)
* Bugfix: The range checks for glfwSetCursorPos used the wrong
minimum (#773)
* Bugfix: Defining GLFW_INCLUDE_VULKAN when compiling the library
did not fail with the expected error message (#823)
* Bugfix: Inherited value of CMAKE_MODULE_PATH was clobbered
(#822)
* [X11] Bugfix: Window size limits were ignored if the minimum or
maximum size was set to GLFW_DONT_CARE (#805)
* [X11] Bugfix: Input focus was set before window was visible,
causing BadMatch on some non-reparenting WMs (#789,#798)
* [X11] Bugfix: glfwGetWindowPos and glfwSetWindowPos operated on
the window frame instead of the client area (#800)
* [WGL] Added reporting of errors from WGL_ARB_create_context
extension
* [GLX] Bugfix: Dynamically loaded entry points were not verified
* [EGL] Added lib prefix matching between EGL and OpenGL ES
library binaries
* [EGL] Bugfix: Dynamically loaded entry points were not verified
- Enable vulkan on Tumbleweed
2016-08-11 - rpm@fthiessen.de
- Update to new upstream release 3.2
2016-07-17 - jengelh@inai.de
- Trim irrelevant parts from %description
2016-05-18 - rpm@fthiessen.de
- Made build of geany-tags optional (fix SLE).
2015-10-24 - mimi.vx@gmail.com
- Update to version 3.1.2
* bugfix release, full changelog on http://www.glfw.org/changelog.html
2015-09-17 - jengelh@inai.de
- Update to new upstream release 3.1.1
* This release adds fixes for a number of bugs that together affect
all supported platforms, most notably workarounds for bugs in
some popular window managers.
- Reduce overly explicit filelist

See Also

Package Description
libgloox17-1.0.21-13.8.i586.rpm High-level XMPP Library for C++
libgloox17-1.0.21-13.8.x86_64.rpm High-level XMPP Library for C++
libgloox17-32bit-1.0.21-13.8.x86_64.rpm High-level XMPP Library for C++
libglpng-devel-1.45-6.48.i586.rpm PNG loader for OpenGL - development files
libglpng-devel-1.45-6.48.x86_64.rpm PNG loader for OpenGL - development files
libglpng1-1.45-6.48.i586.rpm PNG loader for OpenGL
libglpng1-1.45-6.48.x86_64.rpm PNG loader for OpenGL
libgpsnmea0-07.33-1.35.i586.rpm Library for parsing NMEA streams
libgpsnmea0-07.33-1.35.x86_64.rpm Library for parsing NMEA streams
libgrapple-0_9-2-0.9.8-5.44.i586.rpm Simple network library for games
libgrapple-0_9-2-0.9.8-5.44.x86_64.rpm Simple network library for games
libgrapple-0_9-2-32bit-0.9.8-5.44.x86_64.rpm Simple network library for games
libgrapple-devel-0.9.8-5.44.i586.rpm Library development files for libgrapple
libgrapple-devel-0.9.8-5.44.x86_64.rpm Library development files for libgrapple
libguichan-0_8_1-1-0.8.2-4.24.i586.rpm Guichan system shared libraries
Advertisement
Advertisement